var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { html, css, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
let ArtisticCircularGradient = class ArtisticCircularGradient extends LitElement {
    constructor() {
        super(...arguments);
        this.width = '10rem';
        this.height = '10rem';
        this.angle = '0deg';
        this.color = '#f0f';
        this.color2 = '#0f0';
    }
    render() {
        const style = `
      width: ${this.width};
      height: ${this.height};
      background: linear-gradient(
        ${this.angle},
        ${this.color} 0%,
        ${this.color} 50%,
        ${this.color2} 50%,
        ${this.color2} 100%
      );
    `;
        return html `<div style="${style}">
      <slot></slot>
    </div>`;
    }
};
ArtisticCircularGradient.styles = css `
    :host {
      display: contents;
    }
    div {
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
    }
  `;
__decorate([
    property()
], ArtisticCircularGradient.prototype, "width", void 0);
__decorate([
    property()
], ArtisticCircularGradient.prototype, "height", void 0);
__decorate([
    property()
], ArtisticCircularGradient.prototype, "angle", void 0);
__decorate([
    property()
], ArtisticCircularGradient.prototype, "color", void 0);
__decorate([
    property()
], ArtisticCircularGradient.prototype, "color2", void 0);
ArtisticCircularGradient = __decorate([
    customElement('artistic-circular-gradient')
], ArtisticCircularGradient);
export { ArtisticCircularGradient };
